Bug 1747442 - Backport dumb-init into OSP13 containers
Summary: Backport dumb-init into OSP13 containers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: All
OS: Linux
medium
medium
Target Milestone: zstream
: 13.0 (Queens)
Assignee: Emilien Macchi
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On: 1751748
Blocks: 1641667 1747445
TreeView+ depends on / blocked
 
Reported: 2019-08-30 13:05 UTC by Emilien Macchi
Modified: 2019-11-07 14:02 UTC (History)
6 users (show)

Fixed In Version: openstack-tripleo-heat-templates-8.3.1-90.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1747445 (view as bug list)
Environment:
Last Closed: 2019-11-07 14:02:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 680126 'None' MERGED Add config option use_dumb_init to add it to container images 2020-04-08 15:03:19 UTC
OpenStack gerrit 680132 'None' MERGED Install dumb-init rpm 2020-04-08 15:03:19 UTC
OpenStack gerrit 681876 'None' MERGED Add ENTRYPOINT to the dumb init install block 2020-04-08 15:03:19 UTC
Red Hat Product Errata RHBA-2019:3794 None None None 2019-11-07 14:02:37 UTC

Description Emilien Macchi 2019-08-30 13:05:34 UTC
Description of problem:
We have bugs reported on older version of OSP which would be fixed by adding dumb-init support like we did in OSP15.

Example of bug:

Version-Release number of selected component (if applicable):
openstack-tripleo-common on OSP13 and OSP14 are affected.

Comment 6 Kevin Carter 2019-09-04 21:50:01 UTC
Efforts to add this functionality to upstream have started and can be tracked here - https://review.opendev.org/#/q/topic:%22bz:1747442%22+(status:open+OR+status:merged)

Comment 19 errata-xmlrpc 2019-11-07 14:02:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3794


Note You need to log in before you can comment on or make changes to this bug.